petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSortIntWithDataArray

Sorts an array of integers in place in increasing order; changes a second array to match the sorted first INTEGER array. Unlike other sort routines, the user must provide workspace (the size of an element in the data array) to use when sorting.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithDataArray(PetscInt n,PetscInt i[],void *Ii,size_t size,void *work)

Not Collective

### Input Parameters

| n | - number of values
| i | - array of integers
| Ii | - second array of data
| size | - sizeof elements in the data array in bytes
| work | - workspace of "size" bytes used when sorting

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt(), PetscSortIntWithArray()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages